%define chewing_version	        0.4.0
%define scim_version		1.4.14

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-chewing
Summary:	SCIM IMEngine module for chewing
Epoch:		1
Version:	0.5.1
Release:	%mkrel 4
Group:		System/Internationalization
License:	GPL2+
URL:		http://chewing.im/
Source0:	https://github.com/chewing/scim-chewing/releases/download/%version/%name-%version.tar.gz
Requires:	libchewing >= 1:%{chewing_version}
Requires:	scim-client = %scim_api
BuildRequires:  libchewing-devel >= %{chewing_version}
BuildRequires:  scim-devel >= %{scim_version}
BuildRequires:  intltool 
BuildRequires:  gettext-devel
# compatibility
Obsoletes:	%mklibname %{name} 0

%description
Scim-chewing is an SCIM IMEngine module for chewing,
an intelligent Chinese phonetic input method.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

# remove unnecessary files
rm -f %{buildroot}%{_libdir}/scim-1.0/*/*/*.{a,la}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 1:0.5.1-4.mga9
+ Revision: 1841827
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1:0.5.1-3.mga8
+ Revision: 1516771
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1:0.5.1-2.mga7
+ Revision: 1300950
- Mageia 7 Mass Rebuild

* Fri May 13 2016 yochenhsieh <yochenhsieh> 1:0.5.1-1.mga6
+ Revision: 1014827
- new version 0.5.1

* Sat Feb 06 2016 umeabot <umeabot> 1:0.3.5-7.mga6
+ Revision: 940176
- Mageia 6 Mass Rebuild

* Fri Oct 17 2014 fwang <fwang> 1:0.3.5-6.mga5
+ Revision: 771741
- more patches

* Fri Oct 17 2014 fwang <fwang> 1:0.3.5-5.mga5
+ Revision: 771527
- use autogen
- bump req
- more patch
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 10 2013 yochenhsieh <yochenhsieh> 1:0.3.5-3.mga4
+ Revision: 556149
- Upload patch
- Add patch to bump chewing version in configure
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 yochenhsieh <yochenhsieh> 1:0.3.5-1.mga3
+ Revision: 391943
- New version release, removed unused patches

* Mon Jan 14 2013 umeabot <umeabot> 1:0.3.4-2.mga3
+ Revision: 381847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 fwang <fwang> 1:0.3.4-1.mga3
+ Revision: 344604
- add debian patch to build with latest gtk

* Wed Apr 13 2011 ennael <ennael> 1:0.3.4-1.mga1
+ Revision: 84371
- remove buildroot
- new release, many bug fixes

* Sat Mar 19 2011 blino <blino> 1:0.3.3-6.mga1
+ Revision: 74360
- imported package scim-chewing


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.3.3-6mdv2011.0
+ Revision: 607518
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.3.3-5mdv2010.1
+ Revision: 523980
- rebuilt for 2010.1

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1:0.3.3-4mdv2009.1
+ Revision: 339985
- reconf is not needed

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 1:0.3.3-3mdv2009.1
+ Revision: 339969
- BR libtool
- fix scim requires

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 1:0.3.3-2mdv2009.1
+ Revision: 335444
- rervert to our own libtool
- new version 0.3.3

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1:0.3.2-1mdv2009.1
+ Revision: 292216
- New version 0.3.2

* Wed Jun 18 2008 Funda Wang <fwang@mandriva.org> 0.3.191-2.830.1mdv2009.0
+ Revision: 225169
- BR gettext-devel
- New svn snapshot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 0.3.191-2mdv2008.1
+ Revision: 134672
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1mdv2008.1-current
+ Revision: 127006
- kill re-definition of %%buildroot on Pixel's request


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.191-1mdv2007.0
+ Revision: 106852
- add buildrequire on intltool
- Import scim-chewing

* Mon Dec 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.191-1mdv2007.1
- new release

* Fri Aug 18 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.1-1mdv2007.0
- new release

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-1mdv2007.0
- new release

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.1-3mdk
- rebuild for sparc

* Thu Aug 25 2005 Abel Cheung <deaddog@mandriva.org> 0.2.1-2mdk
- Merge everything back to one package, the "libraries" are plugins

* Tue Aug 16 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.1-1mdk
- new release from You-Cheng Hsieh <yochenhsieh@xuite.net>
	- 0.2.1
		- Zuin output looks much pretty
		- Add options to specify Chinese/English mode 
			trigger key
		- Support new function in libchewing 0.2.7 to 
			decide if perform old style of space key
		- Handle key mask to make working under SCIM 1.2.1
		- Fix CtrlNum failure

* Wed Jul 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-3mdk
- Rebuild for new scim

* Tue Jun 21 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-2mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Mar 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-2mdk
- rebuild with scim-1.1.3
- make libscim-chewing0
- spec cleanup

* Sun Jan 02 2005 Abel Cheung <deaddog@mandrake.org> 0.1.1-1mdk
- First Mandrakelinux package, thanks to the work done by
  Shiva Huang <blueshiva@giga.net.tw>

